Bug 84408 - CND launch on Fedora Core 3 cann't find standard C++ library
CND launch on Fedora Core 3 cann't find standard C++ library
Status: CLOSED FIXED
Product: cnd
Classification: Unclassified
Component: Code Model
5.x
All Linux
: P2 (vote)
: 6.x
Assigned To: issues@cnd
issues@cnd
CND1-FCS parser
:
Depends on: 75869
Blocks:
  Show dependency treegraph
 
Reported: 2006-09-07 07:43 UTC by soldatov
Modified: 2007-08-06 18:09 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description soldatov 2006-09-07 07:43:37 UTC
1) Launch Netbeans on Fedora Core 3
2) Create 'Welcome' sample project
3) In 'main' function press ctrl-space
==> Code completion list contain only 3 items (parser cann't find 'iostream.h'
in /usr/include/c++/3.4.2/backward)

-------------------------------------------------------------------
gcc version 3.4.2 20041017 (Red Hat 3.4.2-6.fc3)
 /usr/libexec/gcc/i386-redhat-linux/3.4.2/cc1plus -E -quiet -v -D_GNU_SOURCE -
ignoring nonexistent directory
"/usr/lib/gcc/i386-redhat-linux/3.4.2/../../../../i386-redhat-linux/include"
#include "..." search starts here:
#include <...> search starts here:
 /usr/lib/gcc/i386-redhat-linux/3.4.2/../../../../include/c++/3.4.2
 /usr/lib/gcc/i386-redhat-linux/3.4.2/../../../../include/c++/3.4.2/i386-redhat-linux
 /usr/lib/gcc/i386-redhat-linux/3.4.2/../../../../include/c++/3.4.2/backward
 /usr/local/include
 /usr/lib/gcc/i386-redhat-linux/3.4.2/include
 /usr/include
Comment 1 soldatov 2006-10-06 12:08:48 UTC
Can not reproduce now.
Comment 2 Maria Tishkova 2007-08-06 18:08:55 UTC
verified 5.5.1u1


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo